Last week, Apple announced several new updates regarding its products. Among these was the introduction of iOS 8, which will be released later this year. This new version of iOS will be available to every generation of the iPad, with the exception of iPad 1.

The original iPad was announced nearly five years ago, and so far, we have been proud to offer support for this iPad as well as all other subsequent models. We’ve been able to do this despite the original iPad supporting nothing greater than iOS 5.1.

Going Forward, EventBoard to Support iOS 8 and Above

However, there comes a time when we must choose to discontinue support for an older product in exchange for the ability to utilize new technologies and release new features. With the announcement of iOS 8, we have decided that it is time to move forward.

Starting January 1, 2015, EventBoard and its products will be built to support iOS 8 and above. This does not mean that EventBoard will immediately stop working on iPad 1. It will likely continue to function in the same state for some amount of time.

However, new updates, features and bug fixes will no longer be available for this device. We recommend that for the best EventBoard experience, our customers upgrade to at least the second generation iPad by January 1.

We are conscious of the hardware costs associated with using EventBoard in any office, and we are committed to offering as much longevity to our supported devices as possible. To continue doing this, we are moving our minimum supported version of iOS to iOS 8.

The more recent our minimum supported version of iOS, the longer we can offer support to older devices before needing to move forward. Since iOS 8 will run on all iPads except iPad 1, it enables us to support those iPads for years to come.

We will always make a special effort to keep our customers informed before we end support for a device or version of iOS. If you have any questions, please don’t hesitate to call (415-423-2373) or email (info@eventboard.io) so we may assist you.